Bug 275720 - Unit tests for contact list models
Summary: Unit tests for contact list models
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2011-06-15 15:55 UTC by George Goldberg
Modified: 2012-07-06 12:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Goldberg 2011-06-15 15:55:02 UTC
Contact list models should at the very least pass the Qt ModelTest tests (since there are still a few crashes lurking in those models). Hopefully this will find some of those crashes.

Volunteers needed :)
Comment 1 David Edmundson 2011-07-02 00:01:03 UTC
Done. kde:scratch/davidedmundson/contact-list-model-test 
branch called model-test

It's not quite a conventional Unit test as it using real telepathy data. Seems to work though. Should be a handy tool if we /still/ get model crashes.